Workflow Get One

Workflow Get One
Get a workflow definition

Get a workflow definition

Request
URI
GET
https://{vcfa-fqdn}/vro/workflows/{workflowId}
COPY
Path Parameters
string
workflowId
Required

workflowId

Query Parameters
string
endpointConfigurationLink
Optional

endpointConfigurationLink

boolean
expand
Optional
Constraints: default: false

expand


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with a single workflow definition

Returns Workflow of type(s) */*
{
    "id": "string",
    "name": "string",
    "ownerId": "string",
    "orgId": "string",
    "createdOn": 0,
    "modifiedOn": 0,
    "description": "string",
    "version": "string",
    "href": "string",
    "integration": {
        "endpointConfigurationLink": "string",
        "name": "string",
        "endpointUri": "string"
    },
    "workflowId": "string",
    "inputs": [
        {
            "value": {
                "elements": [
                    {
                        "objectType": "string",
                        "elements": [
                            {}
                        ]
                    }
                ]
            },
            "name": "string",
            "type": "string",
            "description": "string",
            "scope": "string"
        }
    ],
    "outputs": [
        {
            "value": {
                "elements": [
                    {}
                ]
            },
            "name": "string",
            "type": "string",
            "description": "string",
            "scope": "string"
        }
    ],
    "selfLink": "string"
}

202

Accepted

{
    "message": "string",
    "messageId": "string",
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0,
    "details": [
        "string"
    ],
    "serverErrorId": "string",
    "documentKind": "string",
    "certificateInfo": {
        "certificate": "string",
        "properties": {
            "properties": "string"
        },
        "documentKind": "string"
    },
    "internalErrorCode": 0
}

400

'Bad Request' when endpointLink not specified

Returns ServiceErrorResponse of type(s) */*
{
    "message": "string",
    "messageId": 0,
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0
}

403

Forbidden

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

404

'Not Found' when workflow doesn't exist in target vRO

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

409

Conflict

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


417

Expectation Failed

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/vro/workflows/{workflowId}